Loading...
Searching...
No Matches
_PurpleContact Struct Reference

A contact. More...

`#include <blist.h>`

## Data Fields

PurpleBlistNode | node
| The node that this contact inherits from.
char * | alias
| The user-set alias of the contact.
int | totalsize
| The number of buddies in this contact.
int | currentsize
| The number of buddies in this contact corresponding to online accounts.
int | online
| The number of buddies in this contact who are currently online.
PurpleBuddy * | priority
| The "top" buddy for this contact.
gboolean | priority_valid
| Is priority valid?

## Detailed Description

A contact.

This contains everything Purple will ever need to know about a contact.

Definition at line 155 of file blist.h.

## Field Documentation

## alias

char* _PurpleContact::alias

The user-set alias of the contact.

Definition at line 157 of file blist.h.

## currentsize

int _PurpleContact::currentsize

The number of buddies in this contact corresponding to online accounts.

Definition at line 159 of file blist.h.

## node

PurpleBlistNode _PurpleContact::node

The node that this contact inherits from.

Definition at line 156 of file blist.h.

## online

int _PurpleContact::online

The number of buddies in this contact who are currently online.

Definition at line 160 of file blist.h.

## priority

PurpleBuddy* _PurpleContact::priority

The "top" buddy for this contact.

Definition at line 161 of file blist.h.

## priority_valid

gboolean _PurpleContact::priority_valid

Is priority valid?

Definition at line 162 of file blist.h.

## totalsize

int _PurpleContact::totalsize

The number of buddies in this contact.

Definition at line 158 of file blist.h.

The documentation for this struct was generated from the following file:

- blist.h